import { createRouter, createWebHashHistory } from 'vue-router'
import HomeView from '../views/home/index.vue'
import HomeViewEn from '../views/home/index_en.vue'
import RecordSteps from '../views/home/record_steps.vue'
import CalcRetire from '../views/home/calc_retire.vue'


const router = createRouter({
  history: createWebHashHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      name: 'CalcRetire',
      component: CalcRetire
    },
    {
      path: '/recordsteps',
      name: 'recordsteps',
      component: RecordSteps
    },
    {
      path: '/text2video',
      name: 'text2video',
      component: HomeView
    },
    {
      path: '/text2video_en',
      name: 'text2video_en',
      component: HomeViewEn
    }
  ]
})

export default router
